All of lore.kernel.org
 help / color / mirror / Atom feed
From: "Darrick J. Wong" <djwong@kernel.org>
To: djwong@kernel.org, guaneryu@gmail.com
Cc: linux-xfs@vger.kernel.org, fstests@vger.kernel.org, guan@eryu.me
Subject: [PATCH 07/10] fstests: convert nextid to use automatic group generation
Date: Tue, 25 May 2021 18:47:21 -0700	[thread overview]
Message-ID: <162199364100.3744214.14784708959397955973.stgit@locust> (raw)
In-Reply-To: <162199360248.3744214.17042613373014687643.stgit@locust>

From: Darrick J. Wong <djwong@kernel.org>

Convert the nextid script to use the automatic group file generation to
figure out the next available test id.

Signed-off-by: Darrick J. Wong <djwong@kernel.org>
---
 tools/nextid |    1 -
 tools/nextid |   39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+), 1 deletion(-)
 delete mode 120000 tools/nextid
 create mode 100755 tools/nextid


diff --git a/tools/nextid b/tools/nextid
deleted file mode 120000
index 5c31d602..00000000
--- a/tools/nextid
+++ /dev/null
@@ -1 +0,0 @@
-sort-group
\ No newline at end of file
diff --git a/tools/nextid b/tools/nextid
new file mode 100755
index 00000000..a65348e8
--- /dev/null
+++ b/tools/nextid
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+# Compute the next available test id in a given test directory.
+
+if [ -z "$1" ] || [ "$1" = "--help" ] || [ -n "$2" ] || [ ! -d "tests/$1/" ]; then
+	echo "Usage: $0 test_dir"
+	exit 1
+fi
+
+. ./common/test_names
+
+line=0
+i=0
+eof=1
+
+while read found other_junk;
+do
+	line=$((line+1))
+	if [ -z "$found" ] || [ "$found" == "#" ]; then
+		continue
+	elif ! echo "$found" | grep -q "^$VALID_TEST_NAME$"; then
+		# this one is for tests not named by a number
+		continue
+	fi
+	i=$((i+1))
+	id=`printf "%03d" $i`
+	if [ "$id" != "$found" ]; then
+		eof=0
+		break
+	fi
+done < <(cd "tests/$1/" ; ../../tools/mkgroupfile | tr - ' ')
+
+if [ $eof -eq 1 ]; then
+   line=$((line+1))
+   i=$((i+1))
+   id=`printf "%03d" $i`
+fi
+
+echo "$1/$id"


  parent reply	other threads:[~2021-05-26  1:47 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-05-26  1:46 [PATCHSET RFC 00/10] fstests: move test group lists into test files Darrick J. Wong
2021-05-26  1:46 ` [PATCH 01/10] fstests: fix group check in new script Darrick J. Wong
2021-05-26  1:46 ` [PATCH 02/10] fstests: refactor setting test sequence number variables Darrick J. Wong
2021-05-26  1:46 ` [PATCH 03/10] fstests: add tool migrate group membership data to test files Darrick J. Wong
2021-05-26  1:47 ` [PATCH 04/10] fstests: move test group info " Darrick J. Wong
2021-06-03  4:58   ` Eric Biggers
2021-06-03 15:23     ` Darrick J. Wong
2021-05-26  1:47 ` [PATCH 05/10] fstests: clean up open-coded golden output Darrick J. Wong
2021-05-26  1:47 ` [PATCH 06/10] fstests: automatically generate group files Darrick J. Wong
2021-05-26  1:47 ` Darrick J. Wong [this message]
2021-05-26  1:47 ` [PATCH 08/10] fstests: adapt the new test script to our new group tagging scheme Darrick J. Wong
2021-05-26  1:47 ` [PATCH 09/10] fstests: remove group files Darrick J. Wong
2021-05-26  1:47 ` [PATCH 10/10] fstests: remove test group management code Darrick J. Wong
2021-06-03  6:32 ` [PATCHSET RFC 00/10] fstests: move test group lists into test files Amir Goldstein
2021-06-03 15:34   ` Darrick J. Wong
2021-06-03 16:56     ` Amir Goldstein
2021-06-03 22:21       ` Darrick J. Wong
2021-06-06 14:44 ` Eryu Guan
2021-06-06 18:05   ` Darrick J. Wong
2021-06-07 17:06     ` Darrick J. Wong

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=162199364100.3744214.14784708959397955973.stgit@locust \
    --to=djwong@kernel.org \
    --cc=fstests@vger.kernel.org \
    --cc=guan@eryu.me \
    --cc=guaneryu@gmail.com \
    --cc=linux-xfs@vger.kernel.org \
    --subject='Re: [PATCH 07/10] fstests: convert nextid to use automatic group generation' \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.